com.io7m.r2.core

## Interface R2MatricesProjectiveLightValuesType

- All Superinterfaces:
    R2MatricesVolumeLightValuesType
  All Known Subinterfaces:
    R2MatricesProjectiveLightType

      public interface R2MatricesProjectiveLightValuesType
      extends R2MatricesVolumeLightValuesType

  Access to the matrices for a given projective light.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceEyeType,R2SpaceLightEyeType>` | `matrixProjectiveEyeToLightEye()`
    `com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceLightEyeType,R2SpaceLightClipType>` | `matrixProjectiveProjection()`
    `com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceWorldType,R2SpaceLightEyeType>` | `matrixProjectiveView()`
    `R2ProjectionType` | `projectiveProjection()`

    - ### Methods inherited from interface com.io7m.r2.core.R2MatricesVolumeLightValuesType

      `matrixLightModelView`

- - ### Method Detail

    - #### matrixProjectiveEyeToLightEye

          com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceEyeType,R2SpaceLightEyeType> matrixProjectiveEyeToLightEye()

      Returns:
        The current projective light matrix for transforming positions from eye-space to light-eye-space

    - #### matrixProjectiveProjection

          com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceLightEyeType,R2SpaceLightClipType> matrixProjectiveProjection()

      Returns:
        The current projection matrix for the projective light

    - #### matrixProjectiveView

          com.io7m.jtensors.parameterized.PMatrixDirectReadable4x4FType<R2SpaceWorldType,R2SpaceLightEyeType> matrixProjectiveView()

      Returns:
        The current view matrix for the projective light

    - #### projectiveProjection

          R2ProjectionType projectiveProjection()

      Returns:
        The projection for the current projective light.

Copyright © 2017 <code@io7m.com> http://io7m.com